[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'unixutil' (#rtl)

# Dirname

Extract directory part from filename

## Declaration

Source position: unixutil.pp line 40

`function Dirname(`
`const path: PathStr`
`):PathStr;`

## Description

Returns the directory part of Path. The directory is the part of Path before the last slash, or empty if there is no slash. The last character of the result is not a slash, unless the directory is the root directory.

## Errors

None.

## See also

BaseName |  | Return basename of a file

## Example

    Program Example47;

    { Program to demonstrate the DirName function. }

    Uses Dos,Unix,UnixUtil;

    Var S : String;

    begin
      S:=FExpand(Paramstr(0));
      Writeln ('This program is in directory : ',Dirname(S));
    end.

Documentation generated on: Feb 26 2014